package militaryrental;

public class EquipmentDetail implements Comparable {

  /* These are our values */
  private String title;
  private String imageURL;
  private String thumbnailURL;
  private String summary;
  private String shortSummary;
  private double perWeek;
  private double perDay;
  private String id;

  /**
   * Initialize the object
   */
  public EquipmentDetail(String id, String title, String imageURL, String thumbnailURL, String shortSummary, String summary, double perWeek, double perDay) {

    this.id = id;
    this.title = title;
    this.imageURL = imageURL;
    this.thumbnailURL = thumbnailURL;
    this.shortSummary = shortSummary;
    this.summary = summary;
    this.perWeek = perWeek;
    this.perDay = perDay;
  }

  /**
   *  Our default constructor.
   */
  public EquipmentDetail() {

    this("666",
      "Item doesn't exist",
      "http://24.7.158.179:8080/military/pictures/undefined.jpg",
      "http://24.7.158.179:8080/military/pictures/tn_undefined.jpg",
      "The ID doesn't exist in our database. Check again the number",
	"",
      0.01, 0.01);
  }

  /**
   * Commands and queries which conform to JavaBean's specs - a "get" and "set"
   * prefix.
   */
  public void setId() { }
  public String getId() { return id; }

  public void setImageURL(String newValue) {  }
  public String getImageURL() {   return imageURL; }

  public double getPerWeek() { return perWeek; }
  public void setHourlyRate() {}

  public double getPerDay() { return perDay; }
  public void setPerDay() {}

  public void setThumbnailURL() {}
  public String getThumbnailURL() { return thumbnailURL; }

  public String getTitle() { return title; }
  public void setTitle() { }

  public String getShortSummary() {  return shortSummary; }
  public void setSummary() {}
  public String getSummary() { return summary; }

  /**
   * Used for sorting.
   */
  public int compareTo(Object o) {

    EquipmentDetail n = (EquipmentDetail)o;
    int lastCmp = title.compareTo(n.title);
    return (lastCmp);
  }
}
