package militaryrental;

import java.sql.Date;

public class Reservation implements Comparable {

    
    private long id;
    private String equipment_id;
    private String fname;
    private String lname;
    private String email;
    private String pick_up_armory;
    private Date pick_up_date;
    private Date drop_off_date;
    private String drop_off_armory;
    private double price;
    /**
     * Object representing the reservation completed by the customer.
     */
    public Reservation (long id, String eq_id, String fname, String lname, String email, String pick_up_armory, Date pick_up_date, String drop_off_armory, Date drop_off_date, double price) {

	this.id = id;
	this.equipment_id = eq_id;
	this.fname = fname;
	this.lname = lname;
	this.email = email;
	this.pick_up_armory = pick_up_armory;
	this.pick_up_date = pick_up_date;
	this.drop_off_date = drop_off_date;
	this.drop_off_armory = drop_off_armory;
	this.price = price;
    }

    public double getPrice() { return price; }
    public long getId() { return id; }
    public String getEquipmentId() { return equipment_id; }
    public String getFirstName() { return fname; }
    public String getLastName() { return lname; }
    public String getEmail() { return email; }
    public String getPickUpArmory() { return pick_up_armory; }
    public String getPickUpDate() { return pick_up_date.toString(); }
    public String getDropOffDate() { return drop_off_date.toString(); }
    public String getDropOffArmory() { return drop_off_armory; }

	
 /**
   * Used for sorting.
   */
  public int compareTo(Object o) {


    Reservation n = (Reservation)o;
    
    return (int)(this.id - n.id);
  }
}
