import java.io.*;
import java.util.*;
public class Read

{


 public Read() { }
 public String URL = "http://24.7.158.179:8080/military/pictures/";
 public String id = "";
 public String title = "";
 public String image = "";
 public String tn = "";
 public String shortSum = "";
 public String summary = "";
 public double week;
 public double day;
 public String type = "";
 public String tmp = "";

 void reset() {
 	id = "";
	title = "";
	image = "";
	tn = "";
	shortSum = "";
	summary = "";
	week = 0.00;
	day = 0.00;
	type = "";
  }

  boolean parse(String in) {

	StringTokenizer st = new StringTokenizer(in, ":");
	String[] types = {"id","title","pic","summary","week","day","type","FSCK"};
	int idx_of_types = -1;
        String first = "";
        String token = "";
        try {
	  first = st.nextToken();
	  token = st.nextToken();
        } catch (Exception e) {
          //e.printStackTrace();
          return false;
        }
	for (int i=0; i<types.length; i++) {
		if (first.equalsIgnoreCase(types[i])) {
			idx_of_types = i;
			break;
		}
	}
        //System.out.println(idx_of_types+":"+first+":"+token+"{"+in+")");
	if (idx_of_types == -1) {
		return false;
	}
	switch (idx_of_types) {
		case 0: { id = token; break;}
		case 1: { title = token; break; }
		case 2: {
			   tn = URL + "tn_" + token;
			   image = URL + token;
			   break; }
		case 3: { shortSum = token; break; }
		case 4: { week = Double.valueOf(token).doubleValue(); break; }
		case 5: { day = Double.valueOf(token).doubleValue(); break; }
		case 6: { type = token.toLowerCase(); break; }
	}
	return true;
  }
  public String toString() {

  	return "ID: ["+id+"] "+title+" ("+shortSum+") ["+week+"/"+day+"] {"+type+"}\n"+summary+"\nURL:"+image+" ("+tn+")";
   }
  public void parseSummary(String tmp,BufferedReader in) throws IOException{

    summary = tmp;
    //System.out.println(summary);
    while (in.ready()) {
      tmp  = in.readLine();
      if (tmp.equalsIgnoreCase("FSCK")) { break; }
      summary = summary + tmp;
    }
  }
  public boolean finish () {

    return ((title.length() > 0) && (id.length() >0) &&       (image.length() >0) &&
            (tn.length() >0) &&     (shortSum.length() >0) && (summary.length() >0) &&
            (type.length()>0) &&    (day > 0.0) &&            (week >0.0));
  }
 public static void main(String args [])

 {
	try {
	BufferedReader in = new BufferedReader(new FileReader("values"));
	Read r = new Read();
        String tmp = "";
        Add a = new Add();
	// read lines.
	while (in.ready()) {
		tmp = in.readLine();

		if (!r.parse(tmp)) {
                // that means its the long summary. Continue until FSCK found

                  r.parseSummary(tmp,in);
                }
                if (r.finish()) {

                  System.out.println("Adding : "+r.title+" ("+r.id+")");
                  try {
                    a.add(r);
                  } catch (Exception e) {e.printStackTrace(); }
                  r.reset();
                }


	}

	in.close();
		} catch (Exception  e) {
                 // e.printStackTrace();
                }
 }

}
